=head1 NAME

Gtk2::MenuBar

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::MenuShell
                           +----Gtk2::MenuBar



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::MenuBar-E<gt>B<new> 

=head2 packdirection = $menubar-E<gt>B<get_child_pack_direction> 

Since: gtk+ 2.8

=head2 $menubar-E<gt>B<set_child_pack_direction> ($child_pack_dir)

=over

=item * $child_pack_dir (Gtk2::PackDirection) 

=back

Since: gtk+ 2.8

=head2 packdirection = $menubar-E<gt>B<get_pack_direction> 

Since: gtk+ 2.8

=head2 $menubar-E<gt>B<set_pack_direction> ($pack_dir)

=over

=item * $pack_dir (Gtk2::PackDirection) 

=back

Since: gtk+ 2.8



=cut


=head1 PROPERTIES

=over

=item 'child-pack-direction' (Gtk2::PackDirection : default "ltr" : readable / writable / private)

The child pack direction of the menubar

=item 'pack-direction' (Gtk2::PackDirection : default "ltr" : readable / writable / private)

The pack direction of the menubar

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'internal-padding' (integer : default 1 : readable / private)

Amount of border space between the menubar shadow and the menu items

=item 'shadow-type' (Gtk2::ShadowType : default "out" : readable / private)

Style of bevel around the menubar

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::PackDirection

=over

=item * 'ltr' / 'GTK_PACK_DIRECTION_LTR'

=item * 'rtl' / 'GTK_PACK_DIRECTION_RTL'

=item * 'ttb' / 'GTK_PACK_DIRECTION_TTB'

=item * 'btt' / 'GTK_PACK_DIRECTION_BTT'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::MenuShell>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

